Loading...
Searching...
No Matches
Opm::Elasticity::FastAMG Struct Reference

A FastAMG. More...

`#include <elasticity_preconditioners.hpp>`

## Public Types

typedef Dune::Amg::FastAMG< Operator, Vector > | type

## Static Public Member Functions

static std::shared_ptr< type > | setup (int pre, int post, int target, int zcells, std::shared_ptr< Operator > &op, const Dune::CpGrid &gv, ASMHandler< Dune::CpGrid > &A, bool &copy)
| Setup preconditioner.

## Detailed Description

A FastAMG.

## Member Function Documentation

## setup()

std::shared_ptr< FastAMG::type > Opm::Elasticity::FastAMG::setup | ( | int | pre,
|  | int | post,
|  | int | target,
|  | int | zcells,
|  | std::shared_ptr< Operator > & | op,
|  | const Dune::CpGrid & | gv,
|  | ASMHandler< Dune::CpGrid > & | A,
|  | bool & | copy )

static

Setup preconditioner.

Parameters

  [in] | pre | The number of pre-smoothing steps
  [in] | post | The number of post-smoothing steps
  [in] | target | The coarsening target
  [in] | zcells | The wanted number of cells to collapse in z per level
  [in] | op | The linear operator
  [in] | gv | The cornerpoint grid
  | A | Assembly handler
  [out] | copy | Whether or not to clone for threads

The documentation for this struct was generated from the following files:

- opm/elasticity/elasticity_preconditioners.hpp
- opm/elasticity/elasticity_preconditioners.cpp